Subject: bug#31390: java-hamcrest-all fails to build

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 9 May 2018 21:29:24 +0200

Gábor Boskovits <[email-masked]> writes:

> Yes, I have run into this already when doing the updates for java8. Debian
> seems to have a patch for this here:
> https://anonscm.debian.org/viewvc/pkg-java/trunk/libhamcrest-java/debian/patches/002-random-build-failure.patch?view=log

The patch would require adding java-hamcrest-core to the inputs and
ensuring that it is on the classpath at build time.  I’ll give that a
try.

> It seems that forcing not to use a parallel build is also a solution.

Unfortunately, I don’t know how to guarantee this.  It seems to be a JRE
feature to use more cores when available.

--
Ricardo